package _VisualDVM.TestingSystem.SAPFOR.Json;
import Common.CommonConstants;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Test.Test;
import _VisualDVM.TestingSystem.SAPFOR.SapforConfiguration.SapforConfiguration;
import com.google.gson.annotations.Expose;

import java.io.Serializable;
import java.util.List;
import java.util.Vector;
public class SapforTestingSet_json implements Serializable {
    //устаревшее название. на самом деле соответствует конфигурации
    @Expose
    public int id = CommonConstants.Nan;
    @Expose
    public List<SapforTest_json> tests = new Vector<>();
    //устаревшее название. на самом деле соответствует параметрам тестирования
    @Expose
    public List<SapforConfiguration_json> configurations = new Vector<>();
    public SapforTestingSet_json() {
    }
    public SapforTestingSet_json(Vector<Test> tests_in, SapforConfiguration configuration) {
        for (Test test : tests_in)
            tests.add(new SapforTest_json(test));
        for (int settings_id : Global.testingServer.db.getSapforConfigurationSettingsIds(configuration)) {
            configurations.add(new SapforConfiguration_json(Global.testingServer.db.sapforSettings.get(settings_id)));
        }
    }
}
